Company logoTrust Center Documentation

Create Trusted By metadata

Create a Trusted By entry. Badge uploads are performed separately via `/api/v1/trusted-by/{id}/badge`. Browse request parameters, authentication…

POST
/api/v1/trusted-by

Create a Trusted By entry. Badge uploads are performed separately via /api/v1/trusted-by/{id}/badge.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/trusted-by" \  -H "Content-Type: application/json" \  -d '{    "title": "Acme Corp",    "url": "https://acme.example.com",    "order": 10  }'
{
  "success": true,
  "data": {
    "id": "customer-789",
    "uploadUrls": {
      "badge": "/api/v1/trusted-by/customer-789/badge"
    }
  }
}

{
  "error": "url_invalid"
}

{
  "error": "string",
  "details": "string"
}
{
  "error": "string",
  "details": "string"
}
{
  "error": "string",
  "details": "string"
}
{
  "error": "string",
  "details": "string"
}

How is this guide?